## ros-kinetic-realsense2-description 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(realsense2_description)

find_package(catkin REQUIRED COMPONENTS
    )

# RealSense description
catkin_package(
    )

# Install files
install(DIRECTORY launch meshes rviz urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Tests
if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(tests)
endif()

=== debian/changelog ===
ros-kinetic-realsense2-description (2.3.0-1xenial) xenial; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-kinetic-realsense2-description (2.2.24-1xenial) xenial; urgency=high

  * Add conditional param use_mesh.
  * Contributors: Teo Cardoso

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 20 Apr 2021 21:00:00 -0000

ros-kinetic-realsense2-description (2.2.23-1xenial) xenial; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 23 Mar 2021 22:00:00 -0000

ros-kinetic-realsense2-description (2.2.22-1xenial) xenial; urgency=high

  * Fix mass of d415
  * Consistent add_plug in xacros and launch files
  * Contributors: Manuel Stahl, Tim Übelhör, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 17 Feb 2021 22:00:00 -0000

ros-kinetic-realsense2-description (2.2.21-1xenial) xenial; urgency=high



 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 30 Dec 2020 22:00:00 -0000

ros-kinetic-realsense2-description (2.2.20-1xenial) xenial; urgency=high

  * Add urdf file for l515
  * Contributors: doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 18 Nov 2020 22:00:00 -0000

ros-kinetic-realsense2-description (2.2.18-1xenial) xenial; urgency=high

  * Feature: Add name to usb_plug to enable multiple copies of usb_plug model.
  * Fix mass of d435 - from lgulich
  * Contributors: Guillaume, doronhi, lgulich

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Sun, 25 Oct 2020 22:00:00 -0000

ros-kinetic-realsense2-description (2.2.17-1xenial) xenial; urgency=high



 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Tue, 08 Sep 2020 21:00:00 -0000

ros-kinetic-realsense2-description (2.2.16-1xenial) xenial; urgency=high



 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 05 Aug 2020 21:00:00 -0000

ros-kinetic-realsense2-description (2.2.15-1xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/development' into development
  * Merge pull request #1126 <https://github.com/intel-ros/realsense/issues/1126> from mcamurri/add-d435i-xacro
    add D435i modules, urdf and launchfile
  * comply to ROS Noetic xacro rules (backcompatible with ROS Melodic)
  * Merge branch 'development' into add-d435i-xacro
  * Merge branch 'development' of https://github.com/IntelRealSense/realsense-ros into development
    realsense2_description/urdf/test_d435_multiple_cameras.urdf.xacro
  * move xml start line in the right place
  * add D435i modules, urdf and launchfile
  * fix use_nominal_extrinsics arg/property
  * add D435i modules, urdf and launchfile
  * Contributors: Marco Camurri, doronhi

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Sun, 12 Jul 2020 21:00:00 -0000

ros-kinetic-realsense2-description (2.2.14-1xenial) xenial; urgency=high

  * fix urdf issues (arg use_nominal_extrinsics).
  * Add noetic support:
    - urdf files.
    - change state_publisher into robot_state_publisher
  * correct offset between camera_link and base_link
  * Contributors: Brice, Marco Camurri, doronhi
  * upgrade version to 2.2.13

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 17 Jun 2020 21:00:00 -0000

=== debian/control ===
Source: ros-kinetic-realsense2-description
Section: misc
Priority: optional
Maintainer: Doron Hirshberg <doron.hirshberg@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rosunit
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-kinetic-realsense2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-xacro
Description: RealSense Camera description package for Intel 3D D400 cameras

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-realsense2-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
